using Nirvana.Common;
using Nirvana.Common.ApiBase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Waste.Domain;

namespace Waste.Application
{
    public interface IBusinessService
    {
        Task<PageParms<BusinessList>> GetListAsync(QueryParams param,bool noadmin=false);
        Task<ResultInfo> SubmitFormAsync(BusinessInfo role);
        Task<ResultInfo> DeleteFormAsync(Guid keyValue);
        Task<BusinessInfo> DetailAsync(Guid id);
        Task<List<W_Business>> GetAllList(int status = 1);
        /// <summary>
        /// 重置密码
        /// </summary>
        /// <param name="id"></param>
        /// <param name="pwd"></param>
        /// <returns></returns>
        Task<ResultInfo> ResetPwdAsync(Guid id,string pwd);
        /// <summary>
        /// 修改密码
        /// </summary>
        /// <param name="busienssPwd"></param>
        /// <returns></returns>
        Task<ResultInfo> ChangePwdAsync(BusienssPwd busienssPwd);
        /// <summary>
        /// 更新或者插入实时数据
        /// </summary>
        /// <returns></returns>
        Task InsertOrUpdateRealDataAsync();
        /// <summary>
        /// 更新或者插入指定商户实时数据
        /// </summary>
        /// <returns></returns>
        Task InsertOrUpdateRealDataAsync(Guid BusinessId);

        /// <summary>
        /// 更新或者插入指定商户实时数据
        /// </summary>
        /// <returns></returns>
        Task InsertOrUpdateRealDataAsync(List<Guid> BusinessId);
        /// <summary>
        /// 获取账户统计信息
        /// </summary>
        /// <returns></returns>
        Task<W_RealData> GetTotalInfoAsync();
        /// <summary>
        /// 获取商户的昨天汇总信息
        /// </summary>
        /// <returns></returns>
        Task<BusinessReport> GetBusinessTotalInfo();
    }
}
